Summary:        Advanced UrbanTerror launcher program
Name:           urtconnector
Version:        0.9.0
Release:        %mkrel 26
License:        GPLv3
Group:          Games/Shooter
Source0:        http://urtconnector.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		fix-build.patch
Patch1:		urtconnector-gcc7.patch
Url:            http://code.google.com/p/%{name}
BuildRequires:  qt4-devel
BuildRequires:  pkgconfig(phonon)
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(sqlite3)
Requires:       qstat
Recommends:     urbanterror

%description
This is an advanced launcher and RCON administration program for the game Urban Terror.

%files
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/*
#--------------------------------------------------------------------

%prep
%setup -qn %{name}
%autopatch -p1

%build
%cmake_qt4
%cmake_build

%install
%cmake_install


%changelog
* Thu Dec 31 2020 wally <wally> 0.9.0-26.mga8
+ Revision: 1666827
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.9.0-25.mga8
+ Revision: 1662069
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 0.9.0-24.mga8
+ Revision: 1578123
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.9.0-23.mga8
+ Revision: 1544933
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.9.0-22.mga8
+ Revision: 1483446
- rebuild for boost 1.72.0
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Tue Oct 16 2018 wally <wally> 0.9.0-21.mga7
+ Revision: 1321109
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-20.mga7
+ Revision: 1301542
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 0.9.0-19.mga7
+ Revision: 1184717
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.9.0-18.mga7
+ Revision: 1178103
- rebuild for boost 1.65

* Fri Oct 13 2017 cjw <cjw> 0.9.0-17.mga7
+ Revision: 1171693
- patch1: fix build with gcc 7
+ tv <tv>
- rebuild with latest boost

* Mon Mar 21 2016 pterjan <pterjan> 0.9.0-15.mga6
+ Revision: 993434
- Fix build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- rebuild for new boost
+ daviddavid <daviddavid>
- rebuild for new boost 1.60.0

* Fri Oct 30 2015 blino <blino> 0.9.0-11.mga6
+ Revision: 896671
- remove empty file list
- explicitely buildrequire phonon-devel (dep removed from qt4-devel)
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-9.mga5
+ Revision: 740405
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-8.mga5
+ Revision: 690083
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Feb 08 2014 barjac <barjac> 0.9.0-7.mga5
+ Revision: 586793
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-6.mga4
+ Revision: 529645
- Mageia 4 Mass Rebuild

* Thu Apr 11 2013 ennael <ennael> 0.9.0-5.mga4
+ Revision: 409626
- rebuild for boost 1.53

* Mon Jan 14 2013 umeabot <umeabot> 0.9.0-4.mga3
+ Revision: 385130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ malo <malo>
- fix RPM group

* Thu Dec 20 2012 fwang <fwang> 0.9.0-3.mga3
+ Revision: 333108
- rebuild for new boost

* Tue Nov 20 2012 juancho <juancho> 0.9.0-2.mga3
+ Revision: 319758
- Fixed description and added a suggests for urbanterror.

* Tue Nov 20 2012 juancho <juancho> 0.9.0-1.mga3
+ Revision: 319678
- Updated to 0.9.0

* Tue Jul 31 2012 fwang <fwang> 0.8.1-3.mga3
+ Revision: 276837
- fix build with gcc 4.7
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 0.8.1-2.mga3
+ Revision: 249874
- fix linkage
+ kamil <kamil>
- rebuild against boost 1.49.0

* Mon Feb 20 2012 juancho <juancho> 0.8.1-1.mga2
+ Revision: 211148
- Added missing BR sqlite3-devel
- Updated to 0.8.1

* Tue Dec 13 2011 pterjan <pterjan> 0.7.0-2.mga2
+ Revision: 181062
- Patch and rebuild for boost 1.48
+ fwang <fwang>
- new version 0.7.0
- rebuild for new boos
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.5.1-2.mga2
+ Revision: 111986
- rebuild for new boost

* Mon Apr 18 2011 juancho <juancho> 0.5.1-1.mga1
+ Revision: 87610
- Removed BuildRoot.
- imported package urtconnector


* Tue Nov 09 2010 Juan Luis Baptiste <juancho@mandriva.org> 0.5.1-1mdv2011.0
+ Revision: 595462
- Changed cmake macro from kde4 to qt4 and added cmake as BuildRequires
- Changed group.
- import urtconnector

